Bug 593189 - virtio-console: Fix use-after-free issues pointed by cocinelle
Summary: virtio-console: Fix use-after-free issues pointed by cocinelle
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Amit Shah
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 06:08 UTC by Amit Shah
Modified: 2010-11-10 20:55 UTC (History)
3 users (show)

Fixed In Version: kernel-2.6.32-28.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 20:55:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Amit Shah 2010-05-18 06:08:47 UTC
Description of problem:

Julia Lawall submitted a patch upstream that fixes a couple of use-after-free issues in the virtio-console driver. Backport those to the RHEL6 kernel.

Comment 2 RHEL Product and Program Management 2010-05-18 06:35:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Aristeu Rozanski 2010-05-20 21:59:26 UTC
Patch(es) available on kernel-2.6.32-28.el6

Comment 7 releng-rhel@redhat.com 2010-11-10 20:55:04 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.